package cn.iocoder.yudao.module.energy.dal.mysql.account;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.energy.controller.admin.account.vo.EnergyAccountPageReqVO;
import cn.iocoder.yudao.module.energy.dal.dataobject.account.EnergyAccountDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface EnergyAccountMapper extends BaseMapperX<EnergyAccountDO> {

    default EnergyAccountDO selectByCustomerId(Long customerId) {
        return selectOne(EnergyAccountDO::getCustomerId, customerId);
    }

    default PageResult<EnergyAccountDO> selectPage(EnergyAccountPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<EnergyAccountDO>()
                .eqIfPresent(EnergyAccountDO::getCustomerId, reqVO.getCustomerId())
                .eqIfPresent(EnergyAccountDO::getAccountStatus, reqVO.getAccountStatus())
                .orderByDesc(EnergyAccountDO::getId));
    }

}
